# Virtual Router Basic Configuration

The ScreenOS divides its routing component into two virtual routers—Untrust-VR and Trust-VR. If you have obtained and loaded a virtual router software key, you can create a new virtual router. Multiple virtual routers can exist but Trust-VR is the default.

Additionally, you can set basic parameters for the Untrust-VR and Trust-VR virtual routers, and for user-defined virtual routers. When you set parameters for a virtual router, you can also configure dynamic routing protocols.

If you configure AC-VPN, you must enable NHRP on the virtual router.

### To Create or Modify a Virtual Router

1. Enter the necessary information:

Virtual Router Name: Indicates the name of the virtual router.

Virtual Router ID: Indicates one of two types of values that identify the virtual router.

Use System Default: Indicates that the IP address of the virtual router acts as the ID of the routing instance.

Custom: Enables you to set an IP address to identify the virtual routing instance that is different than the default address.

Maximum Route Entry: Indicates the upper limit of the number of routes the virtual router can store in its route table.

Unlimited: Indicates the current virtual routing instance has no upper limit for the number of routes it can store in its routing table.

Set Limit At: Enables you to set a specified upper limit for the number of routes the current virtual router can store in its routing table.

Maximum ECMP Routes: Specifies the maximum number of equal cost multipath (ECMP) routes that can exist for each protocol and for static routes in a routing table. Setting the limit at a number other than 1 enables ECMP routing so that the security device can perform load balancing between ECMP routes.

Set Limit At: Enables you to set a specified upper limit for the maximum number of ECMP routes for each protocol and for static routes. Specify 2, 3, or 4.

Route Lookup Preference: Specifies the order in which the virtual router performs route lookup, if source-based or source interface-based routing is enabled in the virtual router. The routing table with the highest preference value is checked first.

For Destination Routing: Assigns a preference value for the destination-based routing table. The default value is 1. Enter a value between 1 and 255.

For Source Based Routing: Assigns a preference value for the source-based routing table. The default value is 2. Enter a value between 1 and 255.

For Source Interface Based Routing: Assigns a preference value for the source interface-based routing table. The default value is 3. Enter a value between 1 and 255.

Use default route: (For the Trust-VR only) Adds a default route with the specified virtual router as the next hop.

Shared and accessible by other vsys: Indicates that the root-level local virtual router is accessible from a virtual system. The Untrust-VR is, by default, shared by all other vsys.

Ignore Subnet Conflict for Interfaces in This VRouter: Directs the virtual router to ignore overlapping subnet addresses for interfaces in the virtual router.

Make This VRouterDefault-Vrouter for the System: Sets this virtual router as the default virtual router for the vsys. The Trust-VR is the default virtual router for the root system.

Auto Export Route to Untrust-VR: Directs the virtual router to export public interface routes to the Untrust-VR virtual router.

Make SNMP Trap Private: (This option is only available for the default root-level virtual router.) Enables you to make SNMP traps for the dynamic routing MIBs private for the virtual router.

Enable Source Based Routing: Enables source based routing on this virtual router.

Enable Source Interface Based Routing: Enables source interface-based routing on this virtual router.

Advertise Routes on Inactive Interfaces: Directs the virtual router to consider active routes on inactive interfaces for advertising.

Permit sync VR configure to NSRP peer: Directs the virtual router to synchronize its configuration with the virtual router on its NSRP peer.

Route Preference: A section that displays various ways to identify the desirability of a route in the current virtual router. The lower the value, the more probable the virtual router will select the route.

Auto Exported: Indicates the level of desirability associated with the decision the current virtual router makes to select an automatically exported route from other virtual routers on the network.

Imported: Indicates the level of desirability associated with the decision the current virtual routing instance makes to select a route imported from another virtual router on the network.

EBGP: Indicates the level of desirability associated with the decision the current virtual router makes to select a route originating from an Exterior Border Gateway Protocol (EBGP) router.

OSPF: Indicates the level of desirability associated with the decision the current virtual router makes to select a route originating from an Open Shortest Path First (OSPF) router.

RIP: Indicates the level of desirability associated with the decision the current virtual router makes to select a route originating from a Routing Information Protocol (RIP) router.

Connected: Indicates the level of desirability associated with the decision the current virtual router makes to select a route sent from a router that has at least one interface with an IP address assigned to it.

Static: Indicates the level of desirability associated with the decision the current virtual router makes to select a static or manually configured route.

IBGP: Indicates the level of desirability associated with the decision the current virtual router makes to select a route originating from an Interior BGP router.

OSPF External Type 2: Indicates the level of desirability associated with the decision the current virtual router makes to select OSPF External-Type-2 routes.

2. Click OK to save your changes and return to the Virtual Router List. Click Apply to continue configuring the virtual router.

If you clicked Apply, the Dynamic Routing Protocols Support section displays with the following links:

BGP: A link for creating a BGP routing instance. For more information, see Virtual Router BGP Settings.

OSPF: A link for creating an OSPF routing instance. For more information, see OSPF Virtual Router Settings.

RIP: A link for creating a RIP routing instance. For more information, see RIP Virtual Router Settings.

RIPng: A link for creating a RIPng routing instance. For more information, see RIPng Virtual Router Settings.

Next Hop Resolution Protocol (NHRP) Support: If you configuring AC-VPN, Click NHRP Settings to enable NHRP and configure NHC cache entries.